Bug 509027 - Increase size of text field for Kickstart Kernel Options
Increase size of text field for Kickstart Kernel Options
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
high Severity high
: ---
: ---
Assigned To: Brad Buckingham
Jeff Ortel
:
Depends On:
Blocks: 457075
  Show dependency treegraph
 
Reported: 2009-06-30 18:11 EDT by John Matthews
Modified: 2009-09-10 15:27 EDT (History)
5 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:27:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Matthews 2009-06-30 18:11:01 EDT
Description of problem:

While testing kickstarting of a s390x system, I was using kernel options of:

"DASD=100 HOSTNAME=s390box.test.example.com IPADDR=XX.XX.XX.XX NETTYPE=qeth SUBCHANNELS=0.0.0600,0.0.0601,0.0.0602 NETWORK=XX.XX.XX.XX NETMASK=255.255.255.0 SEARCHDNS=example1.example.com:example2.example.com.com BROADCAST=10.10.16.255 GATEWAY=XX.XX.XX.XX DNS=XX.XX.XX.XX PORTNAME=UNASSIGNED MTU=1500 LAYER2=0"

I couldn't put the kernel options in the kickstart profile, instead I was entering them through: Advanced Kickstart Configuration from (/rhn/systems/details/kickstart/ScheduleWizard.do)


Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090625.0-x86_64-embedded-oracle.iso

How reproducible:
always

Steps to Reproduce:
1.Enter the text string described above
  
Actual results:
notice that it is truncated

Expected results:
string is not truncated


Additional info:
Comment 1 Brad Buckingham 2009-07-01 13:17:46 EDT
master git commit: 1147de6f3feabc790c0dfe541dabdb7a4a6576bb
vader git commit: 357d8f2728ccddab6f7e8dae8b57f3ffd17b5939

The edit ks profile details was restricting the length of kernel and post kernel options to be 64 characters.  Rather than remove the limit, increased it to 1024 in order to keep it bounded to avoid a user entering something that is entirely invalid (e.g. 100,000 characters).

Systems->Kickstart->Profiles->profile->Kickstart Details
Comment 2 Jeff Ortel 2009-07-07 17:16:51 EDT
Verified.
1) create ks profile
2) Systems->Kickstart->Profiles->profile->Kickstart Details
3) Kernel Options =
"DASD=100 HOSTNAME=s390box.test.example.com IPADDR=XX.XX.XX.XX NETTYPE=qeth
SUBCHANNELS=0.0.0600,0.0.0601,0.0.0602 NETWORK=XX.XX.XX.XX
NETMASK=255.255.255.0 SEARCHDNS=example1.example.com:example2.example.com.com
BROADCAST=10.10.16.255 GATEWAY=XX.XX.XX.XX DNS=XX.XX.XX.XX PORTNAME=UNASSIGNED
MTU=1500 LAYER2=0"
4) Submit & observed that value is *not* truncated.
Comment 3 Shannon Hughes 2009-07-29 09:44:31 EDT
verified on sun-x4200-01.rhts.bos.redhat.com
Comment 4 Brandon Perkins 2009-09-10 15:27:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.